import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SwitchComponent } from './switch/switch.component';
import { UiButtonComponent } from './ui-button/ui-button.component';
import { FullSpellcardComponent } from './full-spellcard/full-spellcard.component';
import { IconButtonComponent } from './icon-button/icon-button.component';

@NgModule({
  declarations: [
    SwitchComponent,
    UiButtonComponent,
    FullSpellcardComponent,
    IconButtonComponent,
  ],
  imports: [CommonModule],
  exports: [
    SwitchComponent,
    UiButtonComponent,
    FullSpellcardComponent,
    IconButtonComponent,
  ],
})
export class SharedComponentsModule {}
